PSImageUtils (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.ps

## Class PSImageUtils

- java.lang.Object
- - org.apache.xmlgraphics.ps.PSImageUtils
  - - org.apache.fop.render.ps.PSImageUtils

-     public class PSImageUtils
      extends org.apache.xmlgraphics.ps.PSImageUtils

  Utility code for rendering images in PostScript.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSImageUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawForm(org.apache.xmlgraphics.ps.PSResource form, org.apache.xmlgraphics.image.loader.ImageInfo info, java.awt.Rectangle rect, org.apache.xmlgraphics.ps.PSGenerator generator)` Draws a form at a given location.
    `static boolean` | `isImageInlined(org.apache.xmlgraphics.image.loader.ImageInfo info, PSRenderingContext renderingContext)` Indicates whether the given image (identified by an `ImageInfo` object) shall be inlined rather than generated as a PostScript form.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.PSImageUtils

      `getRGB, paintForm, paintForm, paintReusableImage, renderBitmapImage, renderEPS, renderEPS, translateAndScale, writeImage, writeImage, writeImage, writeImage, writeImage, writeReusableImage, writeReusableImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSImageUtils

          public PSImageUtils()

  - ### Method Detail

    - #### isImageInlined

          public static boolean isImageInlined(org.apache.xmlgraphics.image.loader.ImageInfo info,
                                               PSRenderingContext renderingContext)

      Indicates whether the given image (identified by an `ImageInfo` object) shall be inlined rather than generated as a PostScript form.
      Parameters:
        `info` - the info object for the image
        `renderingContext` - the rendering context
      Returns:
        true if the image shall be inlined, false if forms shall be used.

    - #### drawForm

          public static void drawForm(org.apache.xmlgraphics.ps.PSResource form,
                                      org.apache.xmlgraphics.image.loader.ImageInfo info,
                                      java.awt.Rectangle rect,
                                      org.apache.xmlgraphics.ps.PSGenerator generator)
                               throws java.io.IOException

      Draws a form at a given location.
      Parameters:
        `form` - the form resource
        `info` - the image info object representing the image in the form
        `rect` - the target rectangle (coordinates in millipoints)
        `generator` - the PostScript generator
      Throws:
        `java.io.IOException` - if an I/O error occurs

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.